<header>
  <h2><%= link_to_if project.web_url, project.name, project.web_url %></h2>
</header>
<div class="button-container">
  <%= button_to "Sync", project_path(project.id), method: :put, title: "Sync project configuration", style: "margin-right: 5px" %>
  <%= button_to "Delete", project_path(project.id), method: :delete, title: "Remove project" %>
</div>

<table class="blueTable">
  <thead>
    <tr>
      <th>Package ecosystem</th>
      <th>Directory</th>
      <th>Cron</th>
      <th>Last executed</th>
      <th>Last execution errors</th>
      <th>Open merge requests</th>
      <th>Actions</th>
    </tr>
  </thead>

  <tbody>
    <% if project.update_jobs.empty? %>
      <tr>
        <td>No jobs configured</td>
      </tr>
    <% else %>
      <% project.update_jobs.each do |job| %>
        <% config_entry = project.configuration.entry(package_ecosystem: job.package_ecosystem, directory: job.directory) %>
        <% next log(:error, "Tried to render job entry but missing configuration entry for project '#{project.name}=>#{job.package_ecosystem}=>#{job.directory}'") unless config_entry %>
        <tr>
          <td><%= job.package_ecosystem %></td>
          <td><%= job.directory %></td>
          <td><%= job.cron %></td>
          <td><%= job.last_executed&.to_formatted_s(:long) %>
          <td><%= job.last_failures %></td>
          <td>
            <%=
              mrs = open_merge_requests(project, job.package_ecosystem, job.directory).length
              link_to_if(mrs > 0, mrs, open_mrs_url(project, config_entry))
            %>
          </td>
          <td>
            <%= button_to "Execute", job_execute_path(job.id), method: :put, title: "Execute job now" %>
          </td>
        </tr>
      <% end %>
    <% end %>
  </tbody>
</table>
